Hi all,

Just thought I'd highlight here that Ubuntu 14.10 is using qemu 2.1, but they're not currently enabling NUMA support.

I've reported it as a bug and it's been fixed for 15.04, but there is some pushback about fixing it in 14.10 on the grounds that it is a feature enhancement and not a bugfix:
https://bugs.launchpad.net/ubuntu/+source/qemu/+bug/1417937


Also, we currently assume that qemu can pin to NUMA nodes. This is an invalid assumption since this was only added as of qemu 2.1, and there only if it's compiled with NUMA support. At the very least we should have a version check, but if Ubuntu doesn't fix things then maybe we should actually verify the functionality first before trying to use it.

I've opened a bug to track this issue:
https://bugs.launchpad.net/nova/+bug/1422775

Chris

__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to